org.apache.drill.jdbc

## Interface DrillDatabaseMetaData

All Superinterfaces:
  DatabaseMetaData, Wrapper

    public interface DrillDatabaseMetaData
    extends DatabaseMetaData

Drill-specific `DatabaseMetaData`.

### Field Summary

### Fields inherited from interface java.sql.DatabaseMetaData

`attributeNoNulls, attributeNullable, attributeNullableUnknown, bestRowNotPseudo, bestRowPseudo, bestRowSession, bestRowTemporary, bestRowTransaction, bestRowUnknown, columnNoNulls, columnNullable, columnNullableUnknown, functionColumnIn, functionColumnInOut, functionColumnOut, functionColumnResult, functionColumnUnknown, functionNoNulls, functionNoTable, functionNullable, functionNullableUnknown, functionResultUnknown, functionReturn, functionReturnsTable, importedKeyCascade, importedKeyInitiallyDeferred, importedKeyInitiallyImmediate, importedKeyNoAction, importedKeyNotDeferrable, importedKeyRestrict, importedKeySetDefault, importedKeySetNull, procedureColumnIn, procedureColumnInOut, procedureColumnOut, procedureColumnResult, procedureColumnReturn, procedureColumnUnknown, procedureNoNulls, procedureNoResult, procedureNullable, procedureNullableUnknown, procedureResultUnknown, procedureReturnsResult, sqlStateSQL, sqlStateSQL99, sqlStateXOpen, tableIndexClustered, tableIndexHashed, tableIndexOther, tableIndexStatistic, typeNoNulls, typeNullable, typeNullableUnknown, typePredBasic, typePredChar, typePredNone, typeSearchable, versionColumnNotPseudo, versionColumnPseudo, versionColumnUnknown`

### Method Summary

Methods
`ResultSet` `getAttributes(String catalog, String schemaPattern, String typeNamePattern, String attributeNamePattern)` Drill: Currently, returns an empty (zero-row) result set.
`ResultSet` `getBestRowIdentifier(String catalog, String schema, String table, int scope, boolean nullable)` Drill: Currently, returns an empty (zero-row) result set.
`ResultSet` `getClientInfoProperties()` Drill: Currently, returns an empty (zero-row) result set.
`ResultSet` `getColumnPrivileges(String catalog, String schema, String table, String columnNamePattern)` Drill: Currently, returns an empty (zero-row) result set.
`ResultSet` `getCrossReference(String parentCatalog, String parentSchema, String parentTable, String foreignCatalog, String foreignSchema, String foreignTable)` Drill: Currently, returns an empty (zero-row) result set.
`ResultSet` `getExportedKeys(String catalog, String schema, String table)` Drill: Currently, returns an empty (zero-row) result set.
`ResultSet` `getFunctionColumns(String catalog, String schemaPattern, String functionNamePattern, String columnNamePattern)` Drill: Currently, returns an empty (zero-row) result set.
`ResultSet` `getFunctions(String catalog, String schemaPattern, String functionNamePattern)` Drill: Currently, returns an empty (zero-row) result set.
`String` `getIdentifierQuoteString()` Drill: Reports that the SQL identifier quoting character is the back-quote character ("```"; Unicode U+0060; "GRAVE ACCENT").
`ResultSet` `getImportedKeys(String catalog, String schema, String table)` Drill: Currently, returns an empty (zero-row) result set.
`ResultSet` `getIndexInfo(String catalog, String schema, String table, boolean unique, boolean approximate)` Drill: Currently, returns an empty (zero-row) result set.
`ResultSet` `getPrimaryKeys(String catalog, String schema, String table)` Drill: Currently, returns an empty (zero-row) result set.
`ResultSet` `getProcedureColumns(String catalog, String schemaPattern, String procedureNamePattern, String columnNamePattern)` Drill: Currently, returns an empty (zero-row) result set.
`ResultSet` `getProcedures(String catalog, String schemaPattern, String procedureNamePattern)` Drill: Currently, returns an empty (zero-row) result set.
`ResultSet` `getPseudoColumns(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern)` Drill: Currently, returns an empty (zero-row) result set.
`ResultSet` `getSuperTables(String catalog, String schemaPattern, String tableNamePattern)` Drill: Currently, returns an empty (zero-row) result set.
`ResultSet` `getSuperTypes(String catalog, String schemaPattern, String typeNamePattern)` Drill: Currently, returns an empty (zero-row) result set.
`ResultSet` `getTablePrivileges(String catalog, String schemaPattern, String tableNamePattern)` Drill: Currently, returns an empty (zero-row) result set.
`ResultSet` `getTableTypes()` Drill: Currently, returns an empty (zero-row) result set.
`ResultSet` `getTypeInfo()` Drill: Currently, returns an empty (zero-row) result set.
`ResultSet` `getUDTs(String catalog, String schemaPattern, String typeNamePattern, int[] types)` Drill: Currently, returns an empty (zero-row) result set.
`ResultSet` `getVersionColumns(String catalog, String schema, String table)` Drill: Currently, returns an empty (zero-row) result set.
`boolean` `nullsAreSortedAtEnd()` Drill: Reports that NULL values are not sorted last.
`boolean` `nullsAreSortedAtStart()` Drill: Reports that NULL values are not sorted first.
`boolean` `nullsAreSortedHigh()` Drill: Reports that NULL values are sorted high.
`boolean` `nullsAreSortedLow()` Drill: Reports that NULL values are not sorted low.

### Methods inherited from interface java.sql.DatabaseMetaData

`allProceduresAreCallable, allTablesAreSelectable, autoCommitFailureClosesAllResultSets, dataDefinitionCausesTransactionCommit, dataDefinitionIgnoredInTransactions, deletesAreDetected, doesMaxRowSizeIncludeBlobs, generatedKeyAlwaysReturned, getCatalogs, getCatalogSeparator, getCatalogTerm, getColumns, getConnection, getDatabaseMajorVersion, getDatabaseMinorVersion, getDatabaseProductName, getDatabaseProductVersion, getDefaultTransactionIsolation, getDriverMajorVersion, getDriverMinorVersion, getDriverName, getDriverVersion, getExtraNameCharacters, getJDBCMajorVersion, getJDBCMinorVersion, getMaxBinaryLiteralLength, getMaxCatalogNameLength, getMaxCharLiteralLength, getMaxColumnNameLength, getMaxColumnsInGroupBy, getMaxColumnsInIndex, getMaxColumnsInOrderBy, getMaxColumnsInSelect, getMaxColumnsInTable, getMaxConnections, getMaxCursorNameLength, getMaxIndexLength, getMaxProcedureNameLength, getMaxRowSize, getMaxSchemaNameLength, getMaxStatementLength, getMaxStatements, getMaxTableNameLength, getMaxTablesInSelect, getMaxUserNameLength, getNumericFunctions, getProcedureTerm, getResultSetHoldability, getRowIdLifetime, getSchemas, getSchemas, getSchemaTerm, getSearchStringEscape, getSQLKeywords, getSQLStateType, getStringFunctions, getSystemFunctions, getTables, getTimeDateFunctions, getURL, getUserName, insertsAreDetected, isCatalogAtStart, isReadOnly, locatorsUpdateCopy, nullPlusNonNullIsNull, othersDeletesAreVisible, othersInsertsAreVisible, othersUpdatesAreVisible, ownDeletesAreVisible, ownInsertsAreVisible, ownUpdatesAreVisible, storesLowerCaseIdentifiers, storesLowerCaseQuotedIdentifiers, storesMixedCaseIdentifiers, storesMixedCaseQuotedIdentifiers, storesUpperCaseIdentifiers, storesUpperCaseQuotedIdentifiers, supportsAlterTableWithAddColumn, supportsAlterTableWithDropColumn, supportsANSI92EntryLevelSQL, supportsANSI92FullSQL, supportsANSI92IntermediateSQL, supportsBatchUpdates, supportsCatalogsInDataManipulation, supportsCatalogsInIndexDefinitions, supportsCatalogsInPrivilegeDefinitions, supportsCatalogsInProcedureCalls, supportsCatalogsInTableDefinitions, supportsColumnAliasing, supportsConvert, supportsConvert, supportsCoreSQLGrammar, supportsCorrelatedSubqueries, supportsDataDefinitionAndDataManipulationTransactions, supportsDataManipulationTransactionsOnly, supportsDifferentTableCorrelationNames, supportsExpressionsInOrderBy, supportsExtendedSQLGrammar, supportsFullOuterJoins, supportsGetGeneratedKeys, supportsGroupBy, supportsGroupByBeyondSelect, supportsGroupByUnrelated, supportsIntegrityEnhancementFacility, supportsLikeEscapeClause, supportsLimitedOuterJoins, supportsMinimumSQLGrammar, supportsMixedCaseIdentifiers, supportsMixedCaseQuotedIdentifiers, supportsMultipleOpenResults, supportsMultipleResultSets, supportsMultipleTransactions, supportsNamedParameters, supportsNonNullableColumns, supportsOpenCursorsAcrossCommit, supportsOpenCursorsAcrossRollback, supportsOpenStatementsAcrossCommit, supportsOpenStatementsAcrossRollback, supportsOrderByUnrelated, supportsOuterJoins, supportsPositionedDelete, supportsPositionedUpdate, supportsResultSetConcurrency, supportsResultSetHoldability, supportsResultSetType, supportsSavepoints, supportsSchemasInDataManipulation, supportsSchemasInIndexDefinitions, supportsSchemasInPrivilegeDefinitions, supportsSchemasInProcedureCalls, supportsSchemasInTableDefinitions, supportsSelectForUpdate, supportsStatementPooling, supportsStoredFunctionsUsingCallSyntax, supportsStoredProcedures, supportsSubqueriesInComparisons, supportsSubqueriesInExists, supportsSubqueriesInIns, supportsSubqueriesInQuantifieds, supportsTableCorrelationNames, supportsTransactionIsolationLevel, supportsTransactions, supportsUnion, supportsUnionAll, updatesAreDetected, usesLocalFilePerTable, usesLocalFiles`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### nullsAreSortedHigh

    boolean nullsAreSortedHigh()
                               throws SQLException

Drill: Reports that NULL values are sorted high.

Specified by:
  `nullsAreSortedHigh` in interface `DatabaseMetaData`
Returns:
  `true`
Throws:
  `SQLException`

#### nullsAreSortedLow

    boolean nullsAreSortedLow()
                              throws SQLException

Drill: Reports that NULL values are not sorted low.

Specified by:
  `nullsAreSortedLow` in interface `DatabaseMetaData`
Returns:
  `false`
Throws:
  `SQLException`

#### nullsAreSortedAtStart

    boolean nullsAreSortedAtStart()
                                  throws SQLException

Drill: Reports that NULL values are not sorted first.

Specified by:
  `nullsAreSortedAtStart` in interface `DatabaseMetaData`
Returns:
  `false`
Throws:
  `SQLException`

#### nullsAreSortedAtEnd

    boolean nullsAreSortedAtEnd()
                                throws SQLException

Drill: Reports that NULL values are not sorted last.

Specified by:
  `nullsAreSortedAtEnd` in interface `DatabaseMetaData`
Returns:
  `false`
Throws:
  `SQLException`

#### getIdentifierQuoteString

    String getIdentifierQuoteString()
                                    throws SQLException

Drill: Reports that the SQL identifier quoting character is the back-quote character ("```"; Unicode U+0060; "GRAVE ACCENT").

Specified by:
  `getIdentifierQuoteString` in interface `DatabaseMetaData`
Returns:
  "```"
Throws:
  `SQLException`

#### getProcedures

    ResultSet getProcedures(String catalog,
                          String schemaPattern,
                          String procedureNamePattern)
                            throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getProcedures` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getProcedureColumns

    ResultSet getProcedureColumns(String catalog,
                                String schemaPattern,
                                String procedureNamePattern,
                                String columnNamePattern)
                                  throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getProcedureColumns` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getTableTypes

    ResultSet getTableTypes()
                            throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getTableTypes` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getColumnPrivileges

    ResultSet getColumnPrivileges(String catalog,
                                String schema,
                                String table,
                                String columnNamePattern)
                                  throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getColumnPrivileges` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getTablePrivileges

    ResultSet getTablePrivileges(String catalog,
                               String schemaPattern,
                               String tableNamePattern)
                                 throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getTablePrivileges` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getBestRowIdentifier

    ResultSet getBestRowIdentifier(String catalog,
                                 String schema,
                                 String table,
                                 int scope,
                                 boolean nullable)
                                   throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getBestRowIdentifier` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getVersionColumns

    ResultSet getVersionColumns(String catalog,
                              String schema,
                              String table)
                                throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getVersionColumns` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getPrimaryKeys

    ResultSet getPrimaryKeys(String catalog,
                           String schema,
                           String table)
                             throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getPrimaryKeys` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getImportedKeys

    ResultSet getImportedKeys(String catalog,
                            String schema,
                            String table)
                              throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getImportedKeys` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getExportedKeys

    ResultSet getExportedKeys(String catalog,
                            String schema,
                            String table)
                              throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getExportedKeys` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getCrossReference

    ResultSet getCrossReference(String parentCatalog,
                              String parentSchema,
                              String parentTable,
                              String foreignCatalog,
                              String foreignSchema,
                              String foreignTable)
                                throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getCrossReference` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getTypeInfo

    ResultSet getTypeInfo()
                          throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getTypeInfo` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getIndexInfo

    ResultSet getIndexInfo(String catalog,
                         String schema,
                         String table,
                         boolean unique,
                         boolean approximate)
                           throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getIndexInfo` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getUDTs

    ResultSet getUDTs(String catalog,
                    String schemaPattern,
                    String typeNamePattern,
                    int[] types)
                      throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getUDTs` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getSuperTypes

    ResultSet getSuperTypes(String catalog,
                          String schemaPattern,
                          String typeNamePattern)
                            throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getSuperTypes` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getSuperTables

    ResultSet getSuperTables(String catalog,
                           String schemaPattern,
                           String tableNamePattern)
                             throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getSuperTables` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getAttributes

    ResultSet getAttributes(String catalog,
                          String schemaPattern,
                          String typeNamePattern,
                          String attributeNamePattern)
                            throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getAttributes` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getClientInfoProperties

    ResultSet getClientInfoProperties()
                                      throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getClientInfoProperties` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getFunctions

    ResultSet getFunctions(String catalog,
                         String schemaPattern,
                         String functionNamePattern)
                           throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getFunctions` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getFunctionColumns

    ResultSet getFunctionColumns(String catalog,
                               String schemaPattern,
                               String functionNamePattern,
                               String columnNamePattern)
                                 throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getFunctionColumns` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getPseudoColumns

    ResultSet getPseudoColumns(String catalog,
                             String schemaPattern,
                             String tableNamePattern,
                             String columnNamePattern)
                               throws SQLException

Drill: Currently, returns an empty (zero-row) result set. (Note: Currently, result set might not have the expected columns.)

Specified by:
  `getPseudoColumns` in interface `DatabaseMetaData`
Throws:
  `SQLException`